Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSAttributeDeclaration

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSAttributeDecl

Deprecated. The interface may be updated or replaced.

public interface XSAttributeDeclaration
extends XSObject

The interfaces represents the Attribute Declaration schema component.

Method Summary
`XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getConstraintType()` Deprecated. Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
`java.lang.String` | `getConstraintValue()` Deprecated. Value constraint: The actual value with respect to the [type definition ].
`XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Deprecated. The complex type definition for locally scoped declarations (see `scope`).
`short` | `getScope()` Deprecated. Optional.
`XSSimpleTypeDefinition` | `getTypeDefinition()` Deprecated. [type definition]: A simple type definition

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getTypeDefinition

    public XSSimpleTypeDefinition getTypeDefinition()

  Deprecated.
  [type definition]: A simple type definition

### getScope

    public short getScope()

  Deprecated.
  Optional. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

### getEnclosingCTDefinition

    public XSComplexTypeDefinition getEnclosingCTDefinition()

  Deprecated.
  The complex type definition for locally scoped declarations (see `scope`).

### getConstraintType

    public short getConstraintType()

  Deprecated.
  Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

### getConstraintValue

    public java.lang.String getConstraintValue()

  Deprecated.
  Value constraint: The actual value with respect to the [type definition ].

### getAnnotation

    public XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.